#include <syslog.h>
#include <mysql.h>

#include "config.h"
#include "rzb_management_log.h"
#include "rzb_global.h"
#include "rzb_db.h"

HRESULT submitLog(unsigned level, const char *msg, const char *src)
{
    openlog("Razorback Dispatcher", (LOG_PERROR | LOG_PID | LOG_NDELAY), LOG_LOCAL7);
    syslog(level, "%s", msg);

    if ((insertLog(level, msg, src)) != R_SUCCESS)
        syslog(LOG_CRIT, "%s", "Failed to insert log entry into database");

    return R_SUCCESS;
}

/* Syslog Information
 *
 * LOG_EMERG
 * The message says the system is unusable.
 * LOG_ALERT
 * Action on the message must be taken immediately.
 * LOG_CRIT
 * The message states a critical condition.
 * LOG_ERR
 * The message describes an error.
 * LOG_WARNING
 * The message is a warning.
 * LOG_NOTICE
 * The message describes a normal but important event.
 * LOG_INFO
 * The message is purely informational.
 * LOG_DEBUG
 * The message is only for debugging purposes.
*/

