#include <getopt.h>

#include "config.h"
#include "rzb_global.h"
#include "rzb_conf.h"
#include "rzb_client.h"
#include "rzb_workstation_api.h"
#include "rzb_workstation_global.h"

int main(int argc, char ** argv)
{
    DATA_ENTRY_BLOCK *route_table;
    APP_ENTRY_BLOCK *ae;
    ROUTE_ENTRY_BLOCK *re;
    static const struct option long_options[] =
    {
        {"conf",required_argument, NULL, 'c'},
        {"log-number",required_argument, NULL, 'n'},
        {NULL, 0, NULL, 0}
    };

    int optId; /* holds the option index for getopt*/
    const char *configFile = "rzb.conf";
    int option_index = 0;

    while (1)
    {
        optId = getopt_long(argc, argv, "c:", long_options, &option_index);

        if (optId == -1)
            break;

        switch (optId)
        {
            case 'c':
                configFile = optarg;
                break;
            case '?':  /* getopt errors */
                break;
            default:
                break;
        }
    }

    readConfig(&nrtconfig, configFile);


    getRouteTable(&route_table);

    if (route_table == NULL)
    {
        printf("No nuggets registered\n");
        return R_SUCCESS;
    }

    while (route_table != NULL)
    {
        printf("\nData Entry:  %s\n", route_table->name);
        ae = route_table->app_list;
        while (ae != NULL)
        {
            printf("\tApp Entry: %s\n", ae->name);
            re = ae->nug_list;
            while (re != NULL)
            {
                printf("\t\tEntry ID: %u\n", re->nugid);
                printf("\t\tName: %s\n", re->name);
                printf("\t\tSocket: %s:%hu\n", re->nugaddr, re->nugport);
                re = re->next;
            }
            ae = ae->next;
        }
        route_table = route_table->next;
    }
    return R_SUCCESS;
}

